Share via


Sensitivity Labels - Create Or Update

Creates or updates the sensitivity label of a given column

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}/sensitivityLabels/current?api-version=2025-01-01

URI Parameters

Name In Required Type Description
columnName
path True

string

The name of the column.

databaseName
path True

string

The name of the database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

schemaName
path True

string

The name of the schema.

sensitivityLabelSource
path True

CurrentSensitivityLabelSource

The source of the sensitivity label.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

tableName
path True

string

The name of the table.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.clientClassificationSource

ClientClassificationSource

properties.informationType

string

The information type.

properties.informationTypeId

string

The information type ID.

properties.labelId

string

The label ID.

properties.labelName

string

The label name.

properties.rank

SensitivityLabelRank

Responses

Name Type Description
200 OK

SensitivityLabel

Resource 'SensitivityLabel' update operation succeeded

201 Created

SensitivityLabel

Resource 'SensitivityLabel' create operation succeeded

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Updates the sensitivity label of a given column with all parameters

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current?api-version=2025-01-01

{
  "properties": {
    "clientClassificationSource": "Native",
    "informationType": "PhoneNumber",
    "informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
    "labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
    "labelName": "PII",
    "rank": "Low"
  }
}

Sample response

{
  "name": "current",
  "type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current",
  "properties": {
    "columnName": "myColumn",
    "informationType": "PhoneNumber",
    "informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
    "labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
    "labelName": "PII",
    "rank": "Medium",
    "schemaName": "dbo",
    "tableName": "myTable"
  }
}
{
  "name": "current",
  "type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current",
  "properties": {
    "informationType": "PhoneNumber",
    "informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
    "labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
    "labelName": "PII",
    "rank": "High"
  }
}

Definitions

Name Description
ClientClassificationSource
createdByType

The type of identity that created the resource.

CurrentSensitivityLabelSource
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

SensitivityLabel

A sensitivity label.

SensitivityLabelRank
systemData

Metadata pertaining to creation and last modification of the resource.

ClientClassificationSource

Value Description
None

None

Native

Native

Recommended

Recommended

MIP

MIP

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CurrentSensitivityLabelSource

Value Description
current

current

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

SensitivityLabel

A sensitivity label.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

managedBy

string

Resource that manages the sensitivity label.

name

string

The name of the resource

properties.clientClassificationSource

ClientClassificationSource

properties.columnName

string

The column name.

properties.informationType

string

The information type.

properties.informationTypeId

string

The information type ID.

properties.isDisabled

boolean

Is sensitivity recommendation disabled. Applicable for recommended sensitivity label only. Specifies whether the sensitivity recommendation on this column is disabled (dismissed) or not.

properties.labelId

string

The label ID.

properties.labelName

string

The label name.

properties.rank

SensitivityLabelRank

properties.schemaName

string

The schema name.

properties.tableName

string

The table name.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SensitivityLabelRank

Value Description
None

None

Low

Low

Medium

Medium

High

High

Critical

Critical

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.